Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.jdbc.identifier
Enum DBIdentifier.DBIdentifierType

    java.lang.Object
      java.lang.Enum<DBIdentifier.DBIdentifierType>
          org.apache.openjpa.jdbc.identifier.DBIdentifier.DBIdentifierType

All Implemented Interfaces:
  Serializable, Comparable<DBIdentifier.DBIdentifierType>

Enclosing class:
  DBIdentifier

    public static enum DBIdentifier.DBIdentifierType

extends Enum<DBIdentifier.DBIdentifierType>

Database identifier types.

Enum Constant Summary
`CATALOG`
`COLUMN`
`COLUMN_DEFINITION`
`CONSTANT`
`CONSTRAINT`
`DATABASE`
`DEFAULT`
`FOREIGN_KEY`
`INDEX`
`NULL`
`SCHEMA`
`SEQUENCE`
`TABLE`

Method Summary
`static DBIdentifier.DBIdentifierType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DBIdentifier.DBIdentifierType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final DBIdentifier.DBIdentifierType DEFAULT

### TABLE

    public static final DBIdentifier.DBIdentifierType TABLE

### SCHEMA

    public static final DBIdentifier.DBIdentifierType SCHEMA

### CATALOG

    public static final DBIdentifier.DBIdentifierType CATALOG

### DATABASE

    public static final DBIdentifier.DBIdentifierType DATABASE

### COLUMN

    public static final DBIdentifier.DBIdentifierType COLUMN

### COLUMN_DEFINITION

    public static final DBIdentifier.DBIdentifierType COLUMN_DEFINITION

### SEQUENCE

    public static final DBIdentifier.DBIdentifierType SEQUENCE

### CONSTRAINT

    public static final DBIdentifier.DBIdentifierType CONSTRAINT

### INDEX

    public static final DBIdentifier.DBIdentifierType INDEX

### FOREIGN_KEY

    public static final DBIdentifier.DBIdentifierType FOREIGN_KEY

### CONSTANT

    public static final DBIdentifier.DBIdentifierType CONSTANT

### NULL

    public static final DBIdentifier.DBIdentifierType NULL

Method Detail

### values

    public static DBIdentifier.DBIdentifierType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DBIdentifier.DBIdentifierType c : DBIdentifier.DBIdentifierType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DBIdentifier.DBIdentifierType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.